Retrieve a map image with body-supplied geometry

Retrieve a map image, supplying geometry (overlay or GeoJSON) in the request body instead of query parameters. All other parameters behave identically to the GET operation.

Path Params
string
required

Specifies the image type. The /info endpoint response lists the available values. For more information, see Choose the map resource type.

string
required

Specifies the projection type for the image. The /info endpoint response lists the available values.

  • mc - Mercator Projection
string
required

Defines the dimensions of the returned map image.

Format: width "x" height

The /info endpoint response returns the acceptable range of width and height values.

string
required

This parameter specifies the view position and extent of the area visible in the image. For more information, see Adjust map position.

Format: (Center|BoundingBox|Bounds|Overlay)

  • Center = "center:" latitude "," longitude ";" (("zoom=" zoom) | ("radius=" radiusInMeters))
  • BoundingBox = "bbox:" westLongitude "," southLatitude "," eastLongitude "," northLatitude [";padding=" paddingInPixels ]
  • Bounds = "bounds:" latitude "," longitude "," { "," latitude "," longitude } [";padding=" paddingInPixels ]
  • Overlay = "overlay" [":" (("zoom=" maximumZoom) | ("radius=" minimumRadiusInMeters)) [";padding=" paddingInPixels] | ":padding=" paddingInPixels]]

Whereas:

  • Center: the view is centered at the geo coordinates defined by the latitude and longitude values. The visible area is controlled either by zoom or radiusInMeters.
  • BoundingBox: westLongitude, southLatitude, eastLongitude, northLatitude define a bounding box. The view is positioned so that the entire area inside the bounding box is visible in the image. Note that the latitude and longitude values do not follow the same order (latitude is first) as compared with other API parameters which use latitude and longitude.
  • Bounds: the view is positioned so that all the geo coordinates specified by latitude, longitude pairs are inside the view.
  • Overlay: the view is positioned so that all objects specified in the overlay and geojson parameters are visible. You must include at least one overlay or geojson parameter in the query.
  • radiusInMeters defines the minimum visible distance in all directions around the camera center or bounding box of an overlay, in meters.
  • zoom defines scale of the map based on concept of zoom level. The /info endpoint response lists the minimum and maximum zoom values.
  • paddingInPixels specifies additional space to apply around each overlay feature so that no feature is cut or obscured by the image edges. The available value ranges from 0 pixels (default) to one-fourth of the lower image dimension value. For example, if the image dimensions are 800x600, then the maximum padding value is 600/4, which equals 150 pixels.
string
required

The format of the returned image. The /info endpoint response lists the available values. For more information, see Optimize image dimensions and file type.

Query Params
string

If present, selects the style to use to render the image. The /info endpoint response lists the available values. For more information, see Define the map styles. When you do not provide this parameter in a query, the default style is "explore.day".

integer
enum
Defaults to 100

Specifies the relative size of labels and icons. The valid values are:

  • 100 – small
  • 200 – medium
  • 400 – large

For more information, see Modify label and icon size.

Allowed:
string

The BCP47 language code limited to ISO 639-1 two-letter language code and, optionally, ISO 15924 four-letter script code. Use this parameter for requesting a map image rendered in a specific language. The /languages endpoint response lists the available values. For more information, see Personalize the map language.

The default behavior when no parameter is specified:

  • The image displays labels in the default language of the corresponding country.
  • The following labels are displayed in the default language: continent, ocean, sea, bay.
string

Use this parameter to provide the second language for use in dual labeling. The 'lang2' parameter follows the same behavior as the 'lang' parameter.

string

Use this parameter to render the map with boundaries based on various international or geopolitical views. In general, use the international view unless a political view is available for a specific country and your use case requires showcasing international boundaries that reflect a specific geopolitical standpoint. If the parameter is specified and the view is supported, the image will display boundaries corresponding to the specified geopolitical view. For more information, see Explore geopolitical views.

The values follow the ISO 3166-1 alpha-2 country codes schema.

Note: Consult the /politicalViews endpoint for further information about how to get the current list of geopolitical views available from the service. Note: If this parameter is missing, the API applies the international view to the image.

string

Specifies the map version to use. You can obtain the map version by querying the /info endpoint.

string

Use this parameter to query images with additional features, for example, dislaying vehicle restrictions. The features are independent, that is, an image is rendered with feature_a feature in mode_a mode AND feature_b feature in mode_b mode, and so on. The available features include:

  • congestion_zones - Display of congestion zones. The available modes include:
    • all
    • disabled
  • environmental_zones - Display of environmental zones. The available modes include:
    • all
    • disabled
  • pois - Display of points of interest. The available modes include:
    • all
    • disabled
  • vehicle_restrictions - Display of road signs specific to trucks or other special vehicles. The available modes include:
    • active_and_inactive - Show all restrictions (both active and inactive)
    • permanent_only - Show only permanent restrictions (beta)
    • active_and_inactive_differentiated - Show all restrictions differentiated by active/inactive status, using startTime and endTime parameters for time-based filtering.
    • active_only - Show only active restrictions, using startTime and endTime parameters for time-based filtering.
    • disabled - Do not display vehicle restrictions
  • public_transit - Display of public transit system. The available modes include:
    • asia_selected_systems
    • all_systems
    • disabled
  • truck_preferred_roads - Display of truck preferred roads. The available modes include:
    • all
    • disabled

The /features endpoint response lists the available features and their corresponding modes. For more information, see Customize map features.

string
boolean
enum

Determines whether to display labels that would be cropped by the edges of the generated image. The API displays cropped labels by default, you can only set the value of this parameter to 'false'. When you set this parameter to 'false', the labels that would get cropped are removed from the image. For more information, see Conceal cut-off labels.

Allowed:
string
enum

Determines whether to show a scale bar in kilometers (km) and/or miles (mi). For more information, see Add a scale bar overlay.

Allowed:
integer
enum
Defaults to 1

Controls the scaling of the rendered images for high-resolution displays. A value of 2 doubles the size of the rendered tiles for sharper images.

Allowed:
string

Start time for vehicle restrictions time window. Must only be used with the vehicle_restrictions feature using modes "active_and_inactive_differentiated" or "active_only". Format: Local RFC 3339 datetime as YYYY-MM-DDTHH:mm without timezone (e.g., 2025-12-03T08:00)

string

End time for vehicle restrictions time window. Must only be used with the vehicle_restrictions feature using modes "active_and_inactive_differentiated" or "active_only". Format: Local RFC 3339 datetime as YYYY-MM-DDTHH:mm without timezone (e.g., 2025-12-03T18:00)

Body Params

A GeoJSON object (Feature, FeatureCollection, or Geometry).

Headers
string

Specifies an optional entity tag of the resource cached in the client. See the 304 response of the getTile operation for more details.

string

The ID given by the caller to match in the response.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/geo+json

Generated from available request content types

Allowed:
Responses

413

Request body exceeds the maximum allowed size.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
image/png
image/png8
image/jpg
*/*
application/json